StocksAndFisheriesKB - Bug #13300

Duplicated data in Fishing pressure time series
Feb 07,2019 03:12 PM - Aureliano Gentile

Status: Closed Start date: Feb 07, 2019
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

in example in this record Sardine - Northern Spain http://data.d4science.org/ctlg/GRSF/16025239-9b00-3099-9cb5-e4690f9ec560

the time series for Fishing pressure provides duplicated values, see also attached screenshot

History

#1 - Feb 11, 2019 03:43 PM - Yannis Marketakis

- Status changed from New to In Progress

| see that the number of fishing pressure values of the GRSF record (
http: .d4science.org/ctlg/GRSF_Admin/16025239- - - -e4690f ) is 48, which is exactly the duplicate of the number of fishing
pressure values for the original record from RAM (http://data.d4science.org/ctlg/GRSF_Admin/477ddbe1-046f-30e1-815a-aff3d9cedbéc).

I'll resolve this and updated the records accordingly.

#2 - Feb 14, 2019 08:49 AM - Yannis Marketakis
- File stocksUpdated_issue13300.txt added
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The issue has been resolved.

In total, I've updated 119 GRSF stock records.

Since some of them have been approved, I've updated the corresponding ones in GRSF Public VRE.
The list of stocks that were updated is attached.

#3 - Feb 14, 2019 05:29 PM - Aureliano Gentile

With many thanks, appreciated.

| checked the above example and it is fixed. | am going to submit the list of updates to RAM for a further check but | assume this issue is over.

My concern is to understand if this has been fixed manually for this specific occasion or if it has been a fix which will prevent similar errors in the next
data harvest.

#4 - Feb 15,2019 10:35 AM - Yannis Marketakis

I noticed that in the KB we had two values (with different precision each one).
Since we haven't updated the GRSF KB for a long time, | guess that these values were added there by mistake.

I've checked and ensured that no duplicates are added during the construction or refreshing of the GRSF KB.

Files
stocksUpdated_issue13300.txt 9.29 KB Feb 14,2019 Yannis Marketakis
